Bug 7900 - Prepare ROSA Desktop Fresh R9 LXQt release
: Prepare ROSA Desktop Fresh R9 LXQt release
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-27 10:55 MSD by Andrey Bondrov
Modified: 2017-08-04 18:12 MSD (History)
3 users (show)

See Also:
RPM Package: iso
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (11.78 KB, image/png)
2017-04-28 09:05 MSD, Vladimir Potapov
Details
Бросающийся в глаза недоперевод (9.40 KB, image/png)
2017-04-28 09:17 MSD, Vladimir Potapov
Details
Внутри тоже винегрет (30.32 KB, image/png)
2017-04-28 09:19 MSD, Vladimir Potapov
Details
theme (1008 bytes, application/gzip)
2017-05-06 12:38 MSD, Vladimir Potapov
Details
theme (1008 bytes, application/gzip)
2017-05-06 13:45 MSD, Vladimir Potapov
Details
ss7 (30.25 KB, image/png)
2017-05-22 13:05 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Vladimir Potapov 2017-04-28 09:05:52 MSD
Created attachment 4622 [details]
ss

LO не открывает документы на примонтированных SMB шарах
Comment 2 Vladimir Potapov 2017-04-28 09:13:08 MSD
(In reply to comment #1)
> Created attachment 4622 [details]
> ss
> 
> LO не открывает документы на примонтированных SMB шарах

даже на собственной шаре не может открыть LO файл.
Comment 3 Vladimir Potapov 2017-04-28 09:17:12 MSD
Created attachment 4623 [details]
Бросающийся в глаза недоперевод
Comment 4 Vladimir Potapov 2017-04-28 09:19:08 MSD
Created attachment 4624 [details]
Внутри тоже винегрет
Comment 5 Vladimir Potapov 2017-04-28 09:23:19 MSD
Нет torrent-клиента. Предлагаю добавить transmisson-qt5
Comment 6 Vladimir Potapov 2017-04-28 09:35:57 MSD
Если поставить KDEnlive, то его перевод будет очень частичным, не хватает какого-то файла русификации для kf5 программ. Может по-умолчанию его добавим? +30 мег всего, на 512 мб оперативки вполне работает. (openshot ставит аж 300!)
Comment 7 Vladimir Potapov 2017-04-28 09:49:43 MSD
vpnpptp и ponoff не нужны, все через nm настраивается.
Comment 8 Vladimir Potapov 2017-04-28 10:08:40 MSD
Нет графредактора, предлагаю mtpaint, как в lubuntu
Comment 9 Vladimir Potapov 2017-04-28 10:13:51 MSD
(In reply to comment #6)
> Если поставить KDEnlive, то его перевод будет очень частичным, не хватает
> какого-то файла русификации для kf5 программ. Может по-умолчанию его
> добавим? +30 мег всего, на 512 мб оперативки вполне работает. (openshot
> ставит аж 300!)

Если не kdenlive (он большой), можно avidemux-qt включить.
Comment 10 Vladimir Potapov 2017-04-28 10:16:46 MSD
поиск по главному меню глючит - почему-то вместо результатов показываются строчки из главного меню. Нажимаешь, запускает найденную программу хотя в строчке меню совсем иное.
Comment 11 Vladimir Potapov 2017-04-28 10:23:03 MSD
(In reply to comment #5)
> Нет torrent-клиента. Предлагаю добавить transmisson-qt5
еще можно qbittorrent, он лишь чуть-чуть больше, но гораздо красивее и популярнее
Comment 12 Vladimir Potapov 2017-04-28 10:26:54 MSD
Странная ошибка. qterminal закрываешь - переспрашивает диалогом, там кнопки не переведены no и yes (в глаза бросается)
А заведешь нового пользователя - под ним уже все нормально русифицировано
Comment 13 Vladimir Potapov 2017-04-28 14:21:52 MSD
rosa-media-player-plugin лишний
Comment 14 VictorR2007 2017-05-02 10:59:33 MSD
Володя, здесь networkmanager-applet
https://abf.rosalinux.ru/build_lists/2870374
https://abf.rosalinux.ru/build_lists/2870375
Comment 15 VictorR2007 2017-05-02 18:40:56 MSD
Пакет networkmanager-l2tp
https://abf.rosalinux.ru/build_lists/2870464
https://abf.rosalinux.ru/build_lists/2870465
Comment 16 VictorR2007 2017-05-02 18:45:05 MSD
Пакет networkmanager-openvpn
https://abf.rosalinux.ru/build_lists/2870466
https://abf.rosalinux.ru/build_lists/2870467
Comment 17 VictorR2007 2017-05-02 18:49:14 MSD
Пакет networkmanager-pptp
https://abf.rosalinux.ru/build_lists/2870468
https://abf.rosalinux.ru/build_lists/2870469
Comment 18 Vladimir Potapov 2017-05-02 20:33:27 MSD
щелкаешь в панели управления на "обновление системы", а ничего не происходит.
Comment 19 Vladimir Potapov 2017-05-02 20:43:55 MSD
(In reply to comment #15)
> Пакет networkmanager-l2tp
> https://abf.rosalinux.ru/build_lists/2870464
> https://abf.rosalinux.ru/build_lists/2870465

Получился одинаковый перевод у l2tp и pptp. Предлагаю l2tp перевести как "Туннельный протокол второго уровня (l2tp)
Comment 20 VictorR2007 2017-05-03 07:51:38 MSD
(In reply to comment #19)
> (In reply to comment #15)
> > Пакет networkmanager-l2tp
> > https://abf.rosalinux.ru/build_lists/2870464
> > https://abf.rosalinux.ru/build_lists/2870465
> 
> Получился одинаковый перевод у l2tp и pptp. Предлагаю l2tp перевести как
> "Туннельный протокол второго уровня (l2tp)

У них так, одинаково, и в исходных строках.
Если будешь настаивать, то переделаю.
Пока подожду несколько часов, вдруг передумаешь.


msgid "Point-to-Point Tunneling Protocol (L2TP)"
msgstr "Туннельный протокол типа точка-точка (L2TP)"

msgid "Point-to-Point Tunneling Protocol (PPTP)"
msgstr "Туннельный протокол типа точка-точка (PPTP)"
Comment 21 Vladimir Potapov 2017-05-03 10:31:04 MSD
(In reply to comment #20)
> (In reply to comment #19)
> > (In reply to comment #15)
> > > Пакет networkmanager-l2tp
> > > https://abf.rosalinux.ru/build_lists/2870464
> > > https://abf.rosalinux.ru/build_lists/2870465
> > 
> > Получился одинаковый перевод у l2tp и pptp. Предлагаю l2tp перевести как
> > "Туннельный протокол второго уровня (l2tp)
> 
> У них так, одинаково, и в исходных строках.
> Если будешь настаивать, то переделаю.
> Пока подожду несколько часов, вдруг передумаешь.
> 
> 
> msgid "Point-to-Point Tunneling Protocol (L2TP)"
> msgstr "Туннельный протокол типа точка-точка (L2TP)"
> 
> msgid "Point-to-Point Tunneling Protocol (PPTP)"
> msgstr "Туннельный протокол типа точка-точка (PPTP)"

Настаивать не буду, хотя мой вариант правильней (в вики залез :-)
Comment 22 VictorR2007 2017-05-03 11:10:08 MSD
(In reply to comment #21)

> 
> Настаивать не буду, хотя мой вариант правильней (в вики залез :-)
Вариант с «Туннельный протокол второго уровня (L2TP)».
https://abf.rosalinux.ru/build_lists/2870516
https://abf.rosalinux.ru/build_lists/2870517
Comment 23 Vladimir Potapov 2017-05-03 15:49:42 MSD
ок, переводы приняты.
**********************
QA Verified
Comment 25 Vladimir Potapov 2017-05-06 12:38:02 MSD
Created attachment 4633 [details]
theme

Доработанная тема. Предлагаю переименовать ее в Rosa-breeze т.к. она сильно завязана на дефолтные цвета бриза. Сделал кнопки и менюшку, не победил только подсветку кнопки restore при нажатии, остальное нормально.
Comment 26 Vladimir Potapov 2017-05-06 12:50:32 MSD
Предлагаю в настройках openbox
1) Убрать кнопку окна в левом углу. Меню опенбокса и так по правой кнопке вызывается. Внешний вид - порядок кнопок - LIMC
2) Оставить по-умолчанию один рабочий стол из четырех.
Comment 27 Vladimir Potapov 2017-05-06 13:45:41 MSD
Created attachment 4634 [details]
theme

Чудь подправил тему.
1) Убрал синеву, разделявшую заголовок и окно
2) Черную траурную рамку (тени-то нету!) заменил на серую.
Comment 28 Vladimir Potapov 2017-05-06 13:48:02 MSD
Firefox из поставки предлагаю заменить на newmoon.
Comment 29 Andrey Bondrov 2017-05-07 04:37:04 MSD
(In reply to comment #28)
> Firefox из поставки предлагаю заменить на newmoon.

Тут пусть Денис решает, наверное. Проверь, кстати, новую версию:

http://bugs.rosalinux.ru/show_bug.cgi?id=7908

Текущая у меня падает на Яндекс.Диске, может новая не будет. Сам пока ещё не проверял.
Comment 30 Andrey Bondrov 2017-05-07 04:51:20 MSD
(In reply to comment #26)
> Предлагаю в настройках openbox
> 1) Убрать кнопку окна в левом углу. Меню опенбокса и так по правой кнопке
> вызывается. Внешний вид - порядок кнопок - LIMC
> 2) Оставить по-умолчанию один рабочий стол из четырех.

Сделал. И тему поставил дефолтную Rosa-Breeze (пакет openbox-theme-rosa-breeze).
Comment 31 Vladimir Potapov 2017-05-08 07:04:27 MSD
Меню на nouveau, например, работает нормально так что спишем ошибку поиска на видеодрайвер виртуалки.
Comment 33 Vladimir Potapov 2017-05-17 11:13:54 MSD
Firefox исчез с панели, что логично - нужно заменить его на newmoon в настройках панели.
Comment 34 Vladimir Potapov 2017-05-17 11:46:33 MSD
(In reply to comment #1)
> Created attachment 4622 [details]
> ss
> 
> LO не открывает документы на примонтированных SMB шарах
ошибка сохранилась, это критично.
Comment 35 Vladimir Potapov 2017-05-17 11:46:55 MSD
pdf файлы открываются с помощью GIMP
Comment 36 Vladimir Potapov 2017-05-17 11:49:00 MSD
Сетевые шары монтируются стандартными средствами, думаю что gigolo лишний.
Comment 37 Vladimir Potapov 2017-05-17 12:02:07 MSD
grsync на gtk... может, попробовать собрать и посмотреть backintime?
Comment 38 Vladimir Potapov 2017-05-17 12:05:43 MSD
Сетевые шары монтируются стандартными средствами, думаю что gigolo лишний.(In reply to comment #31)
> Меню на nouveau, например, работает нормально так что спишем ошибку поиска
> на видеодрайвер виртуалки.
А сейчас и на nouveau видеоглюки :-( Возможно, случайная ошибка.
Comment 39 Vladimir Potapov 2017-05-17 12:24:05 MSD
без qxkb у меня раскладки вполне переключаются. Он точно нужен?
Comment 40 Vladimir Potapov 2017-05-17 13:21:12 MSD
Еще добавить бы в глобальные горячие клавиши ctrl+esc lxtask
Насколько понимаю, это 
/etc/xdg/lxqt/globalkeyshortcuts.conf
[Control%2BEscape.9]                                                              
Comment=Task manager                                                 
Enabled=true            
Exec=lxtask
Comment 41 Denis Silakov 2017-05-18 16:19:50 MSD
qxkb, gigolo - убрал
ctrl+esc - добавил
ff -> newmoon - fixed

Maybe replace grsync with qt5-fsarchiver?
https://abf.io/build_lists/2871749
https://abf.io/build_lists/2871750
Comment 42 Denis Silakov 2017-05-18 20:14:26 MSD
New 64bit ISO:
https://abf.io/platforms/rosa2016.1/products/186/product_build_lists/18741

32bit in progress (https://abf.io/platforms/rosa2016.1/products/186/product_build_lists/18743), first build attempt failed for unknown reason
Comment 44 Vladimir Potapov 2017-05-19 22:14:05 MSD
предлагаю заменить qutim на пиджина, установив еще purple-skypeweb, purple-telegram, purple-vk-plugin и, наверное, purple-facebook
Comment 45 Andrey Bondrov 2017-05-19 22:50:42 MSD
(In reply to comment #44)
> предлагаю заменить qutim на пиджина, установив еще purple-skypeweb,
> purple-telegram, purple-vk-plugin и, наверное, purple-facebook

qutim убрал. Добавил pidgin, pidgin-otr, pidgin-plugin-mrim, pidgin-plugin-window_merge, pidgin-skypeweb, purple-facebook, purple-telegram и purple-vk-plugin.

Может ещё pidgin-plugin-tox и pidgin-plugin-whatsapp стоит добавить. Только предварительно убедиться, что они нормально работают.
Comment 46 Vladimir Potapov 2017-05-20 09:13:55 MSD
Предлагаю qmmp заменить на audacious
1) тоже qt5, но требует меньше ресурсов
2) в отличие от - работает по сети, играет с самба-шары
3) Тоже может переключаться в винамп-режим, но по дефолту обычный интерфейс, не пугающий новое поколение, выросшее без winamp :-)
Только, чтоб два значка не светились, нужно его чуть подпилить:

В audaciuos-qt.desktop сделать
NotShowIn=GNOME;MATE;
В audacious.desktop сделать 
NotShowIn=KDE;LXQt;

правда, в контекстных меню все равно задвоение идет, так что можно и просто выделить -qt и -gtk десктоп-файлы в отдельные пакеты и, например, по умолчанию suggests -gtk а в образе поставить -qt
Comment 47 Vladimir Potapov 2017-05-20 09:15:45 MSD
(In reply to comment #34)
> (In reply to comment #1)
> > Created attachment 4622 [details]
> > ss
> > 
> > LO не открывает документы на примонтированных SMB шарах
> ошибка сохранилась, это критично.
ошибка испрваляется удалением пакета  gvfs-fuse
Comment 48 Vladimir Potapov 2017-05-20 10:01:27 MSD
(In reply to comment #41)
> qxkb, gigolo - убрал
Не удалось  - они все равно есть!
Comment 49 Vladimir Potapov 2017-05-20 13:36:07 MSD
Чтоб время не портило, если оно системное стоит нужно попробовать закомментить строчку 
timezone::reload_sys_clock($timezone);
в файле /usr/sbin/finish-install
похоже, там неправильно сейчас время пишется - сдвигается дважды.
Comment 50 Denis Silakov 2017-05-22 12:48:15 MSD
(In reply to comment #48)
> (In reply to comment #41)
> > qxkb, gigolo - убрал
> Не удалось  - они все равно есть!

Угу, git push не прошел, а я не заметил. В следующем билде уйдут.
Comment 51 Denis Silakov 2017-05-22 12:49:51 MSD
(In reply to comment #47)
> (In reply to comment #34)
> > (In reply to comment #1)
> > > Created attachment 4622 [details]
> > > ss
> > > 
> > > LO не открывает документы на примонтированных SMB шарах
> > ошибка сохранилась, это критично.
> ошибка испрваляется удалением пакета  gvfs-fuse

Убрал.
Comment 52 Vladimir Potapov 2017-05-22 13:05:26 MSD
Created attachment 4646 [details]
ss7

Сейчас настройки скринсейвера странны - случайный выбор из пустоты.
Предлагаю хоть xscreensaver-gl поставить
Comment 53 Vladimir Potapov 2017-05-22 13:47:48 MSD
(In reply to comment #52)
> Created attachment 4646 [details]
> ss7
> 
> Сейчас настройки скринсейвера странны - случайный выбор из пустоты.
> Предлагаю хоть xscreensaver-gl поставить
Но, предлагаю по-умолчанию скринсейвер все равно вырубить, как у нас везде сделано, чтоб можно было киношки смотреть без непрерывного мышевозения
Comment 55 Vladimir Potapov 2017-06-02 15:22:52 MSD
Итоговые сборки
https://abf.io/platforms/rosa2016.1/products/186/product_build_lists/18871
https://abf.io/platforms/rosa2016.1/products/186/product_build_lists/18870
***************************
The update is sent to expanded testing